#/////////////////////////////////////////////////////////////////////
#
# azulbox ver1.0* 対応skin定義ファイル
#
# Copyright(c) estrella-azul.com.
# http://estrella-azul.com
# sala@estrella-azul.com
#
#/////////////////////////////////////////////////////////////////////

#=====================================================================
#       デザイン崩れ防止策
#=====================================================================
# (1)親記事タイトルの全角文字数（はみ出したタイトルは「...」で表示）
# 全部表示させるときは''
$SUB_LEN = '';

# (2)レス記事タイトルの全角文字数（はみ出したタイトルは「...」で表示）
# 全部表示させるときは''
$RESSUB_LEN = '';

# (3)記事タイトルが無記入の時の代替テキスト
$NO_SUB = 'No Subject';

# (4)記事中のhttp://で始まるURLの自動リンクで表示されるテキスト
# 空欄の場合はURLを直接表示　（タグ使用可の時は無効）
$AUTOLINK = 'http://...';

# (5)指定文字数以上の半角英数字羅列に<br>を強制挿入
$OVER_LEN = '40';


#=====================================================================
#      外部ファイルディレクトリまでのパス指定
#=====================================================================
# (6)skinファイルから外部ファイルディレクトリまでの相対パス
# 「./***/」または「***/」の形で指定
# （必ずhtmlソースで使っている形と統一させること）
$SKINIMG_DIR = 'parts/';


#=====================================================================
#       アイコンの設定
#=====================================================================
# (7)アイコン画像のサイズ
$ICON_W = '28';  # 横サイズpx
$ICON_H = '21';  # 縦サイズpx

# (8)アイコンの画像フォーマット（ピリオド「.」を頭に必ず付ける）
$ICON_FMT = '.gif';


#=====================================================================
#       親記事の日付表示に関する設定
#=====================================================================
# (9)日時の表示形式
# year:年 mon:月 day:日 week:曜日 hour:時 min:分 sec:秒
$DATE_FORMAT = 'mon/day(week) hour:min';

# (10)曜日の表示形式
@WEEK = ('Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat');

# (11)月日を2桁に揃えるかどうか（揃える：'1'　揃えない：''）
$UNIFORM_MD = '';

# (12)時間を2桁に揃えるかどうか（揃える：'1'　揃えない：''）
$UNIFORM_HMS = '1';


#=====================================================================
#       レス記事の日付表示に関する設定
#=====================================================================
# (13)レス記事日時の表示形式
# year:年 mon:月 day:日 week:曜日 hour:時 min:分 sec:秒
$RESDATE_FORMAT = 'mon/day(week) hour:min';

# (14)曜日の表示形式
@RESWEEK = ('Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat');

# (15)月日を2桁に揃えるかどうか（揃える：'1'　揃えない：''）
$RESUNIFORM_MD = '';

# (16)時間を2桁に揃えるかどうか（揃える：'1'　揃えない：''）
$RESUNIFORM_HMS = '1';


#=====================================================================
#       クッキーを使う変数の選択方式
#=====================================================================
# (17)（'1'：ラジオボタン　'2'：セレクトメニュー　'3'：テキスト）
$SEL_ICON = '2';    # 変数iconの選択方式
$SEL_BGCL = '';    # 変数bgclの選択方式
$SEL_TXTCL = '1';   # 変数txtclの選択方式
$SEL_VARCK1 = '2';  # 変数varck1の選択方式
$SEL_VARCK2 = '2';  # 変数varck2の選択方式
$SEL_VARCK3 = '2';  # 変数varck3の選択方式

# (18)以下は記事修正の際に必要-----------------------------
$SEL_VAR1 = '2';    # 変数var1の選択方式
$SEL_VAR2 = '2';    # 変数var2の選択方式
$SEL_VAR3 = '2';    # 変数var1の選択方式

#=====================================================================
#       親記事のリンクの設定
#=====================================================================

#------メールアドレスのリンク-----------------------------------------
# (19)1.2.3.のうちのどれか一つだけ、'1'を入れる
# どれも設定しないと、そのままメールアドレスを表示

# 1.メールアドレスそのものにリンクをはる
# ''：はらない　'1'：はる
$MAIL_LINK = '';

# 2.投稿者名にメールアドレスのリンクをはる
# ''：はらない　'1'：はる
$NAME_MAIL = '';

# 3.画像またはテキストにメールアドレスのリンクをはる
# ''：はらない　'1'：はる
$IMG_MAIL = '1';

# (20)3.を選んだ場合は以下も設定
    #--3-1.メールアドレスがあるときのソース
    # テキストまたはIMGタグで指定
    $MAIL_IMG1 = '<IMG src="parts/mail1.gif" width="15" height="14" border="0">';

    #--3-2.メールアドレスがないときのソース
    # テキストまたはIMGタグで指定
    $MAIL_IMG2 = '<IMG src="parts/mail2.gif" width="15" height="14" border="0">';


#------URLのリンク----------------------------------------------------
# (21)1.2.のうちのどちらか一つだけ、'1'を入れる
# どちらも設定しないと、そのままURLを表示

# 1.URLそのものにリンクをはる
# ''：はらない　'1'：はる
$URL_LINK = '';

# 2.画像またはテキストにURLのリンクをはる
# ''：はらない　'1'：はる
$IMG_URL = '1';

# (22)2.を選んだ場合は以下も設定
    #--2-1.URLがあるときのソース
    # テキストまたはIMGタグで指定
    $URL_IMG1 = '<IMG src="parts/home1.gif" width="15" height="14" border="0">';

    #--2-2.URLがないときのソース
    # テキストまたはIMGタグで指定
    $URL_IMG2 = '<IMG src="parts/home2.gif" width="15" height="14" border="0">';

# この一行はいじらないこと↓
@MAINLINK = ($MAIL_LINK, $NAME_MAIL, $IMG_MAIL, $MAIL_IMG1, $MAIL_IMG2, $URL_LINK, $IMG_URL, $URL_IMG1, $URL_IMG2);

#=====================================================================
#       レス記事のリンクの設定
#=====================================================================

# メールアドレスのリンク（レス）---------------------------------
# (23)1.2.3.のうちのどれか一つだけ、'1'を入れる
# どれも設定しないと、そのままメールアドレスを表示

# 1.メールアドレスそのものにリンクをはる
# ''：はらない　'1'：はる
$RESMAIL_LINK = '';

# 2.投稿者名にメールアドレスのリンクをはる
# ''：はらない　'1'：はる
$RESNAME_MAIL = '';

# 3.画像またはテキストにメールアドレスのリンクをはる
# ''：はらない　'1'：はる
$RESIMG_MAIL = '1';

# (24)3.を選んだ場合は以下も設定
    #--3-1.メールアドレスがあるときのソース
    # テキストまたはIMGタグで指定
    $RESMAIL_IMG1 = 'MAIL';

    #--3-2.メールアドレスがないときのソース
    # テキストまたはIMGタグで指定
    $RESMAIL_IMG2 = '-';


# URLのリンク（レス）--------------------------------------------
# (25)1.2.のうちのどちらか一つだけ、'1'を入れる
# どちらも設定しないと、そのままURLを表示

# 1.URLそのものにリンクをはる
# ''：はらない　'1'：はる
$RESURL_LINK = '';

# 2.画像またはテキストにURLのリンクをはる
# ''：はらない　'1'：はる
$RESIMG_URL = '1';

# (26)2.を選んだ場合は以下も設定
    #--2-1.URLがあるときのソース
    # テキストまたはIMGタグで指定
    $RESURL_IMG1 = 'URL';

    #--2-2.URLがないときのソース
    # テキストまたはIMGタグで指定
    $RESURL_IMG2 = '-';

# この一行はいじらないこと↓
@RESLINK = ($RESMAIL_LINK, $RESNAME_MAIL, $RESIMG_MAIL, $RESMAIL_IMG1, $RESMAIL_IMG2, $RESURL_LINK, $RESIMG_URL, $RESURL_IMG1, $RESURL_IMG2);


#=====================================================================
#       管理人投稿時の設定
#=====================================================================
# (27)レス投稿のタイトル表示-----------------------------------------
# ''：なし　'1'：あり
$MTRES_SUB = '';

# (28)各変数の値-----------------------------------------------------
$MT_ICON = 'master';		# 変数icon
$MT_BGCL = '';		# 変数bgcl
$MT_TXTCL = 'a';		# 変数txtcl
$MT_VARCK1 = 'master';		# 変数varck1
$MT_VARCK2 = '';    # 変数varck2
$MT_VARCK3 = '';    # 変数varck3
$MT_VAR1 = '';      # 変数var1
$MT_VAR2 = '';      # 変数var2

$MT_FILE = 'master.jpg';        # 代替添付ファイル（原寸のまま表示されます）

#=====================================================================
#       機能に関する設定
#=====================================================================
# ここでの設定は使い方説明のページに反映されます。
# ''：設定なし　'1'：設定あり

$USER_EDIT = '1';   # (29)ユーザー記事修正機能
$USER_DEL = '1';    # (30)ユーザー記事削除機能
$USER_RES = '1';    # (31)ユーザーによる返信機能

# (32)独立書き込みフォーム表示の際のパスワードチェック
# ''：パスワードなし　'1'：パスワードフォームあり
$FORM_PASS = '1';


#=====================================================================
#       表示に関する設定
#=====================================================================
# (33)親記事の修正画面で使うskin
# 'main'：メイン表示用skin　'form'：独立書込フォーム用skin　'edit'：修正専用skin
$EDIT_SKIN = 'form';

# (34)レス記事の修正画面で使うskin
# 'res'：レス表示用skin　'form'：独立書込フォーム用skin　'edit'：修正専用skin
$RESEDIT_SKIN = 'res';


#=====================================================================
#       ファイルアップロード機能に関する設定
#=====================================================================
# (35)添付ファイルの表示方法
# 画像表示の場合は(36)～(40)も設定する
# ''：テキスト表示　'1'：画像表示
$UPFILE_TYPE = '1';

# (36)添付ファイルが画像だった場合の表示について
# ''：原寸表示　'1'：サムネイル表示　'2'：サムネイル+原寸リンク　'3'：サイズ固定
$UPFILE_SIZE = '2';

    # (37)表示サイズの指定
    # サムネイルの場合は最大値、固定サイズの場合は強制的にこのサイズで表示
    $UPFILE_W = '100';  # 横
    $UPFILE_H = '100';  # 縦

# 以下の画像ファイルは、管理人用添付ファイルと併せて「upfile」フォルダに格納
# (38)添付ファイルが画像以外だった場合の代替画像ファイル名
$UPFILE_NOT_IMG = 'not_img.gif';

# (39)添付ファイルがない場合の代替画像ファイル名（''：半角スペース）
$UPFILE_NO_FILE = 'no_file.gif';

# (40)添付画像ファイル・代替画像ファイル表示の際の<img>タグの追加属性を指定
@UPFILE_ATT = ('hspace="3"', 'hspace="3"', 'hspace="3"');


#=====================================================================
#       自動生成ページの設定
#=====================================================================
# スクリプトから自動生成されるページに関する設定です

# 1. 戻り先についての設定
# ファイル名　'main'：メインページ　'form'：独立書込フォーム　'howto'：使い方説明　'frame'：フレームセット
# ターゲット　'_self'やフレーム名などターゲットの指定値として可能なもの

# (41)管理ページから掲示板に戻るときのターゲット指定
$ADMIN_BACKPAGE = 'main';
$ADMIN_TARGET = '_self';

# (42)修正フォームページから掲示板に戻るときのターゲット指定
$EDIT_BACKPAGE = 'main';
$EDIT_TARGET = '_self';

# (43)外部スタイルシートのファイル名
# ※(6)で指定したディレクトリに格納されていること
$SYS_CSS = 'azul.css';


#_____________________ E N D _______________________
1;
